> For the complete documentation index, see [llms.txt](https://docs.exoclick.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.exoclick.com/api/ad-placement-api.md).

# Ad Placement API

The Ad Placement API allows publishers to create their own advertising tags. They can use this to generate an ad request and get back all the data they need to display an ad.

The Ad Placement API currently supports the following formats, both on Desktop and Mobile: **Banners**, **Sticky Banners**, **Instant Messages**, **Fullpage Interstitials**, **Outstreams**, **Video Sliders**, **Native Ads**, **In-Page Push Notifications** & **Multi-Format Ads**.

The URLs to be used as endpoints are:

* <http://s.pemsrv.com/v1/api.php> for **Fullpage Interstitial** requests.
* <http://s.magsrv.com/v1/api.php> for **all other ad formats**.

Requests and Responses are in JSON.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.exoclick.com/api/ad-placement-api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
